"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabDockerStackServicesNames;
function grabDockerStackServicesNames() {
    const deploymentName = process.env.DSQL_DEPLOYMENT_NAME || "dsql";
    const maxScaleServiceName = `${deploymentName}-dsql-maxscale`;
    const dbServiceName = `${deploymentName}-dsql-db`;
    const dbCronServiceName = `${deploymentName}-dsql-db-cron`;
    const postDbSetupServiceName = `${deploymentName}-dsql-post-db-setup`;
    const webAppServiceName = `${deploymentName}-dsql-web-app`;
    const webAppCronServiceName = `${deploymentName}-dsql-web-app-cron`;
    const webAppPostDbSetupServiceName = `${deploymentName}-dsql-web-app-post-db-setup`;
    const dbReplica1ServiceName = `${deploymentName}-dsql-db-replica-1`;
    const dbReplica2ServiceName = `${deploymentName}-dsql-db-replica-2`;
    return {
        deploymentName,
        maxScaleServiceName,
        dbServiceName,
        dbCronServiceName,
        postDbSetupServiceName,
        webAppServiceName,
        webAppCronServiceName,
        webAppPostDbSetupServiceName,
        dbReplica1ServiceName,
        dbReplica2ServiceName,
    };
}
